## kwalletcli 2.02

=== debian/changelog ===
kwalletcli (2.02-2) unstable; urgency=low

  * The “urgency=ridiculous” release
  * Move pinentry-gtk note from debian/README.source to debian/control
  * Generate debian/copyright at clean time instead of build time
    to stop fellow DDs from nagging (Closes: #566856)
  * Remove now empty file debian/README.source
  * Bump Policy to 3.9.0.0 (no change required)
  * Reword Description in debian/control to reflect that kwalletcli
    (currently) only works with/on the default wallet
  * Refactor debian/rules submake invocations
  * Specify required minimum version of mksh dependency

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 19 Jul 2010 20:15:51 +0000

kwalletcli (2.02-1) unstable; urgency=low

  * New upstream version; ChangeLog:
    - pinentry-kwallet
      + it’s Assuan protocol, not Ägypten
      + the BYE command is not undocumented in Assuan, only in pinentry
      + implement the (in fact undocumented) GETINFO command
      + fix “copy command to co-process” logic (Closes: #572118)
      + add optional protocol debugging (exposes passwords tho…)
    - kwalletcli.1: document that the default wallet is always used
  * Bump Standards-Version, no relevant change
  * debian/control: Remove DMUA, I'm a DD now
  * debian/README.source: Explain more on the dependency choices
  * debian/control: Add Enhances, gajim upstream supports kwalletcli
  * debian/rules: Make KDE_VER into a variable for consistency

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Mar 2010 11:30:12 +0000

kwalletcli (2.01-1) unstable; urgency=low

  * Target Debian sid (first release to be uploaded), Policy
    3.8.3, Source 3.0 (quilt); port to KDE 4. (Closes: #566489)
  * Fix lintian: debhelper-but-no-misc-depends
  * debian/control: Add Homepage field
  * New upstream release (minor bug fixes found during port to sid)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 23 Jan 2010 14:27:51 +0000

kwalletcli (2.00-0~kde3+1) unstable; urgency=low

  * Fix versioning scheme (again), agreed by waldi@d.o:
    - sid will receive 2.00-1
    - once that's up I'll provide 2.00-1~kde3+1 for hardy and lenny
  * New upstream version
    - install SVG and PNG versions of logo
  * Concatenate upstream and our copyright information
  * Fix lintian warnings on both Hardy and Lenny except
    unusual-interpreter mksh, which has been fixed in newer
    lintian versions and is irrelevant here
  * Improve debian/* files (comments, readability, content)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 07 Dec 2009 18:04:52 +0100

kwalletcli (1.00~kde3-1) experimental; urgency=low

  * Switch to versioning scheme suggested in #debian-qt-kde (OFTC)
    (note that we will need to have different source packages for
    the KDE3 and KDE4 versions)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Jul 2009 11:15:49 +0001

kwalletcli (0.94-1) experimental; urgency=low

  * New upstream snapshot
  * Move to debhelper v5
  * Enhance package description

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Jul 2009 11:15:49 +0200

kwalletcli (0.93-1) experimental; urgency=low

  * New upstream snapshot:
    - Fix pinentry-kwallet breakage

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Jul 2009 20:02:41 +0200

kwalletcli (0.92-1) experimental; urgency=low

  * New upstream snapshot:
    - Add -q (quiet) option
    - Separate KDE 3 interface via API, for future KDE 4 interface
    - Fix some typos and other minor bugs, in code and manpages

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 10 Jul 2009 12:55:32 +0200

kwalletcli (0.91-1) experimental; urgency=low

  * New upstream snapshot:
    - Return 0 if the version is shown

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 09 Jul 2009 17:07:51 +0200

kwalletcli (0.90) experimental; urgency=low

  * Initial release

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 08 Jul 2009 17:35:20 +0200
