=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/kwalletcli/deb-kde4/control,v 1.7 2010/07/19 20:39:21 tg Exp $
#
Source: kwalletcli
Section: kde
Priority: optional
Homepage: https://www.mirbsd.org/kwalletcli.htm
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 5), kdelibs5-dev, libqt4-dev
Standards-Version: 3.9.0
# First word is the $CVSROOT (-d arg) string, second word the module.
# Upstream is on the same server, in the "kwalletcli" module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/kwalletcli/deb-kde4
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/kwalletcli/deb-kde4/

Package: kwalletcli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mksh (>= 38~)
# pinentry-gtk exists in dapper and etch… it’s there to keep
# things backport friendly
Recommends: gnupg-agent,
 pinentry-curses | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4,
 openssh-client
Enhances: gajim (>= 0.13~)
Description: command line interface to the KDE Wallet
 kwalletcli implements a command line interface tool to get and set
 password entries in the default KDE Wallet. Also included are a shell
 wrapper around pinentry, a pinentry-kwallet application checking the
 KDE Wallet for the passphrase requested before asking the user for
 use with the GnuPG Agent, which is also capable of running without
 a pinentry as backend, and kwalletaskpass, which can store SSH key
 passphrases in the KDE Wallet for use with the OpenSSH Agent.
