=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/kwalletcli/deb-kde4/watch,v 1.2 2010/01/11 15:03:37 tg Exp $

version=3
http://www.mirbsd.org/MirOS/dist/hosted/kwalletcli/ kwalletcli-(.*)\.tar\.gz
