## kwalletcli 2.03

=== debian/changelog ===
kwalletcli (2.03-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #676299). Remaining changes:
    - Remove optional dependency on pinentry-qt, as it is no longer built
      from source and this optional dependency was preventing its removal
  * Dropped change (superceded in Debian):
    - Fix FTBFS due to indirect linking.
      + Add 01_fix_build_indirect_linking.diff

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 16 Nov 2010 23:38:21 +0100

kwalletcli (2.03-1) unstable; urgency=low

  * New upstream version; changes:
    - Fix building the kwalletcli binary with indirect linking;
      patch from Felix Geyer <debfx@ubuntu.com>
    - In kwalletaskpass(1), do not even attempt to call kwalletcli
      if $DISPLAY is unset or empty, it will not be able to commu-
      nicate with it anyway. Fixes spurious “Do you want to store …
      in the KDE Wallet?” questions when logged in via ssh(1).
    - Small documentation improvements, mostly re. $DISPLAY
  * Policy 3.9.1, no relevant changes

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 16 Nov 2010 09:38:52 +0000

kwalletcli (2.02-2ubuntu2) natty; urgency=low

  * Remove optional dependency on pinentry-qt, as it is no longer built
    from source and this optional dependency was preventing its removal

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 20 Oct 2010 23:24:15 -0400

kwalletcli (2.02-2ubuntu1) natty; urgency=low

  * Fix FTBFS due to indirect linking.
    - Add 01_fix_build_indirect_linking.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 19 Oct 2010 21:58:30 +0200
