=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
-# $MirOS: contrib/hosted/tg/deb/kwalletcli/deb-kde4/control,v 1.7 2010/07/19 20:39:21 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/kwalletcli/deb-kde4/control,v 1.8 2010/11/16 09:50:47 tg Exp $
 #
 Source: kwalletcli
 Section: kde
 Priority: optional
 Homepage: https://www.mirbsd.org/kwalletcli.htm
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Build-Depends: debhelper (>= 5), kdelibs5-dev, libqt4-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 # First word is the $CVSROOT (-d arg) string, second word the module.
 # Upstream is on the same server, in the "kwalletcli" module.
 Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/kwalletcli/deb-kde4
@@ -18,7 +19,7 @@
 # pinentry-gtk exists in dapper and etch… it’s there to keep
 # things backport friendly
 Recommends: gnupg-agent,
- pinentry-curses | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4,
+ pinentry-curses | pinentry-gtk | pinentry-gtk2 | pinentry-qt4,
  openssh-client
 Enhances: gajim (>= 0.13~)
 Description: command line interface to the KDE Wallet
