## kwalletcli 3.00

=== debian/changelog ===
kwalletcli (3.00-1) unstable; urgency=low

  * Retake the package (Closes: #764398)
  * New upstream release
  * Modernise packaging; bump Policy
  * Stop attempting to build with LTO (link-time optimisation),
    it’s too fragile (cf. src:pax where it was removed as well)
  * Use debhelper compat 9 instead of 5, by lintian’s insistence ☹
  * Switch to KF5

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 31 Aug 2016 00:14:04 +0200

kwalletcli (2.12-5) unstable; urgency=low

  * QA upload.
  * Add pinentry-gnome3… are we quite there yet, now? kthxbye

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Jun 2015 16:02:43 +0200

kwalletcli (2.12-4) unstable; urgency=low

  * QA upload.
  * Add pinentry-tty and pinentry-x2go to the list of alternatives
  * Escape CC, CFLAGS, etc. properly in debian/rules
  * Add explicit packaging licence
  * Bump Policy (no changes)
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 23 May 2015 19:08:42 +0200

kwalletcli (2.12-3) unstable; urgency=low

  * QA upload.
  * Orphan the package.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 18:01:48 +0000

kwalletcli (2.12-2) unstable; urgency=low

  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now-useless RCS IDs

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Jul 2014 16:11:20 +0200

kwalletcli (2.12-1) unstable; urgency=low

  * Fix LTO-less build
  * Recommends: kwalletmanager
  * New upstream release:
    - remove unused code from BSDmakefile
    - add list of contributors to LICENCE file
    - apply patches from Timo Weingärtner to add recognition for
      + git's question (Closes: #745623)
      + ssh-agent-filter's confirmation (Closes: #745625)
    - whitespace cleanup
  * Policy 3.9.5, no changes
  * Update lintian warnings (no PGP check for the origtgz)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 May 2014 16:52:36 +0000

kwalletcli (2.11-2) unstable; urgency=low

  * Do not call "update-alternatives --remove" on upgrade (cf. #568299)
  * Add build-{arch,indep} targets (as alias to build)
  * debian/rules: cleanup (remove install/check)
  * Modernise maintainer scripts and rules file
  * Fix GNUmakefile to add CXXFLAGS to link.cc command
  * Attempt LTO; try with --as-needed
  * Bring back missing dh_prep call
  * Policy 3.9.3 (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 25 Feb 2012 13:50:28 +0000

kwalletcli (2.11-1) unstable; urgency=low

  * New upstream version; changes:
    – Correct exit code for when the read routines die
    – Catch signals and terminate gracefully
    – Better protocol compliance
    – Be more strict when parsing commands
    – Quell warning for “GETINFO version”
    – Prevent converting underscores into accelerator markings
    – Document currently used exit codes
    – Add CAVEATS to manual pages
  * Merge KDE 3 and KDE 4 packaging

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Jun 2011 14:13:56 +0000

kwalletcli (2.10-1~kde3+2) hardy; urgency=low

  * Note that next upstream version’s backport
    must use bpo versioning, to keep upgradability
  * Upstream CVS snapshot from 20110510

 -- Thorsten Glaser <t.glaser@tarent.de>  Tue, 10 May 2011 13:26:42 +0200

kwalletcli (2.10-1~kde3+1) lenny-backports-sloppy; urgency=low

  * KDE 3 companion package to kwalletcli_2.10-1 for Lenny and Hardy:
    - debian/control: B-D on libqt3-headers ipv libqt4-dev
    - debian/control: B-D on kdelibs4-dev ipv kdelibs5-dev
    - debian/control: Set Standards-Version to 3.8.0 ipv 3.9.2
    - debian/rules: Set KDE_VER=3 ipv KDE_VER=4
    - debian/source/format: Use 1.0 ipv 3.0 (quilt)
  * debian/control: Adjust Vcs-*, Description, Origin, Bugs

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 09 Apr 2011 23:12:45 +0000

kwalletcli (2.10-1) unstable; urgency=low

  * kwalletcli can do Multi-Arch: foreign as requested by vorlon
  * New upstream version; changes:
    - In pinentry-kwallet(1), replace with the slave immediately if
      $DISPLAY is unset or empty (as we cannot contact the KDE Wallet
      in that case, anyway). Fixes another case of spurious “Do you
      want to store … in the KDE Wallet?” questions.
    - Fix mis-read in recursive call case (parent, not slave).
    - Align look and feel of fallbacks (both xmessage and TUI) with
      default pinentry GUI style
    - kwalletcli_getpin(1) new options -m (message, with one button);
      -Y OK and -N Cancel (set button labels)
    - Security fix in kwalletcli_getpin(1): tty I/O now properly
      disables echoing input when asking for a passphrase
    - After scanning through ssh(1) and ssh-askpass(1) source, teach
      kwalletaskpass(1) to use boolean queries for some whitelisted
      strings and check it works with confirmation (Closes: #603910)
    - Store negative replies to “Do you want to store X in the KDE
      Wallet?” as “blacklist” in the wallet in kwalletaskpass(1) and
      pinentry-kwallet(1) to avoid asking the user every time
    - Document limits and raise kwalletcli(1) -P limit
    - Have kwalletcli(1) convert passwords from/to proper UTF-8 for Qt
  * Provide ssh-askpass, idea from Daniel Schaal (Closes: #608476)
  * debian/rules: Only dh_strip may strip, not upstream makefiles
  * Policy 3.9.2 (unchanged, I think should be enough)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 09 Apr 2011 23:12:42 +0000

kwalletcli (2.03-1~kde3+2) xunstable; urgency=low

  * Add Origin and Bugs headers

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 09 Apr 2011 21:50:46 +0000

kwalletcli (2.03-1~kde3+1) lenny-backports-sloppy; urgency=low

  * KDE 3 companion package to kwalletcli_2.03-1 for Lenny and Hardy:
    - debian/control: B-D on libqt3-headers ipv libqt4-dev
    - debian/control: B-D on kdelibs4-dev ipv kdelibs5-dev
    - debian/control: set Standards-Version to 3.8.0 ipv 3.9.1
    - debian/rules: set KDE_VER=3 ipv KDE_VER=4
    - debian/source/format: use 1.0 ipv 3.0 (quilt)
  * debian/control: adjust Vcs-CVS, Vcs-Browser, Description


