=== debian/control ===
Source: kwalletcli
Section: kde
Priority: optional
Homepage: https://www.mirbsd.org/kwalletcli.htm
Maintainer: Thorsten Glaser <tg@mirbsd.de>
# For KDE 3: change KDE_VER to 3 in debian/rules and use:
#Build-Depends: debhelper (>= 5), kdelibs4-dev, libqt3-headers
# For KDE 4: change KDE_VER to 4 in debian/rules and use:
#Build-Depends: debhelper (>= 5), kdelibs5-dev, libqt4-dev
# For KDE 5: change KDE_VER to 5 in debian/rules and use:
Build-Depends: debhelper (>= 9), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
Standards-Version: 3.9.8
VCS-git: https://anonscm.debian.org/git/collab-maint/kwalletcli.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/kwalletcli.git

Package: kwalletcli
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, mksh (>= 38~)
Provides: ssh-askpass
# pinentry-gtk exists in dapper and etch… it’s there to keep
# things backport friendly
Recommends: gnupg-agent, kwalletmanager,
 pinentry-curses | pinentry-gnome3 | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4 | pinentry-tty | pinentry-x2go,
 openssh-client
Enhances: gajim (>= 0.13~)
Description: command line interface to the KDE Wallet
 kwalletcli implements a command line interface tool to get and set
 password entries in the default KDE Wallet. Also included are a shell
 wrapper around pinentry, a pinentry-kwallet application checking the
 KDE Wallet for the passphrase requested before asking the user for
 use with the GnuPG Agent, which is also capable of running without
 a pinentry as backend, and kwalletaskpass, which can store SSH key
 passphrases in the KDE Wallet for use with the OpenSSH Agent, and
 is registered as ssh-askpass alternative.
