## kwalletcli 3.01

=== debian/changelog ===
kwalletcli (3.01-1) unstable; urgency=low

  * Add pinentry-fltk to list of possible pinentry alternatives
  * Also add pinentry, pinentry-x11, which are Provided by most
  * Update lintian overrides, debhelper (grudgingly)
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 09 Feb 2018 19:34:16 +0100

kwalletcli (3.00-2) unstable; urgency=low

  * Policy 4.1.3 (no changes)
  * Update VCS-* to new repository caused by Alioth deprecation
  * Use http, not https, for the homepage, to make it accessible
    from Debian buster/sid OpenSSL
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 21:10:10 +0100
