=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: kwalletcli
 Section: kde
 Priority: optional
-Homepage: https://www.mirbsd.org/kwalletcli.htm
+Homepage: http://www.mirbsd.org/kwalletcli.htm
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 # For KDE 3: change KDE_VER to 3 in debian/rules and use:
 #Build-Depends: debhelper (>= 5), kdelibs4-dev, libqt3-headers
 # For KDE 4: change KDE_VER to 4 in debian/rules and use:
 #Build-Depends: debhelper (>= 5), kdelibs5-dev, libqt4-dev
-# For KDE 5: change KDE_VER to 5 in debian/rules and use:
-Build-Depends: debhelper (>= 9), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
-Standards-Version: 3.9.8
-VCS-git: https://anonscm.debian.org/git/collab-maint/kwalletcli.git
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/kwalletcli.git
+# For KDE 5: change KDE_VER to 5 in debian/rules and use debhelper 9 and:
+Build-Depends: debhelper (>= 11), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
+Standards-Version: 4.1.3
+VCS-git: https://evolvis.org/anonscm/git/alioth/kwalletcli.git -b master
+VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/kwalletcli.git;a=shortlog;h=refs/heads/master
 
 Package: kwalletcli
 Architecture: any
@@ -21,7 +21,7 @@
 # pinentry-gtk exists in dapper and etch… it’s there to keep
 # things backport friendly
 Recommends: gnupg-agent, kwalletmanager,
- pinentry-curses | pinentry-gnome3 | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4 | pinentry-tty | pinentry-x2go,
+ pinentry-curses | pinentry-fltk | pinentry-gnome3 | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4 | pinentry-tty | pinentry-x2go | pinentry | pinentry-x11,
  openssh-client
 Enhances: gajim (>= 0.13~)
 Description: command line interface to the KDE Wallet
