## kwalletcli 3.02

=== debian/changelog ===
kwalletcli (3.02-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:09 +0100

kwalletcli (3.02-1) unstable; urgency=medium

  * New upstream release, compatible with recent GNU groff in sid
  * Policy 4.3.0: R³, terse
  * Add UMEGAYA metadata (prompted by lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jan 2019 11:48:02 +0100
