=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 # For KDE 4: change KDE_VER to 4 in debian/rules and use:
 #Build-Depends: debhelper (>= 5), kdelibs5-dev, libqt4-dev
 # For KDE 5: change KDE_VER to 5 in debian/rules and use debhelper 9 and:
-Build-Depends: debhelper (>= 11), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 12~), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/kwalletcli.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/kwalletcli.git;a=shortlog;h=refs/heads/master
