## kwalletcli 3.03

=== debian/changelog ===
kwalletcli (3.03-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:15 +1100

kwalletcli (3.03-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:58 +0000

kwalletcli (3.03-1) unstable; urgency=low

  * New upstream release
  * Modernise packaging (Closes: #922167)
  * Drop ancient release compatibility

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Jan 2021 15:12:33 +0100
