=== debian/control ===
Source: kwalletcli
Section: kde
Priority: optional
Homepage: http://www.mirbsd.org/kwalletcli.htm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 13), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/kwalletcli.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/kwalletcli.git;a=shortlog;h=refs/heads/master

Package: kwalletcli
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, mksh
Provides: ssh-askpass
Recommends: gnupg-agent, kwalletmanager,
 pinentry-curses | pinentry-fltk | pinentry-gnome3 | pinentry-gtk2 | pinentry-qt | pinentry-tty | pinentry-x2go | pinentry,
 openssh-client
Enhances: gajim
Description: command line interface to the KDE Wallet
 kwalletcli implements a command line interface tool to get and set
 password entries in the default KDE Wallet. Also included are a shell
 wrapper around pinentry, a pinentry-kwallet application checking the
 KDE Wallet for the passphrase requested before asking the user for
 use with the GnuPG Agent, which is also capable of running without
 a pinentry as backend, and kwalletaskpass, which can store SSH key
 passphrases in the KDE Wallet for use with the OpenSSH Agent, and
 is registered as ssh-askpass alternative.
