=== debian/watch ===
version=4
http://www.mirbsd.org/MirOS/dist/hosted/kwalletcli/ kwalletcli-(.*)\.tar\.gz
