## kwalletcli 3.04beta

=== debian/changelog ===
kwalletcli (3.04beta-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream snapshot for pre-release testing
    - shrink PNGs
    - UTF-8 is a 4-octet encoding, not a 6-octet one, these days
    - Forward compatibility to mksh R60
    - [b-tsiligiannis] Ignore SIGPIPE during teardown (LP#2120443)
    - Introduce PINENTRY_KWALLET_OVERRIDE variable (LP#2120443)
    - Run scripts in the user locale if it uses UTF-8, switch to the
      standardised-by-now C.UTF-8 if not (Closes: #1116560)
    - Update list of known query strings in kwalletaskpass
    - Update manpages to latest portmdoc; point to Launchpad as bugtracker
  * Update packaging (pkgconf, UMEGAYA, bump S-V, disable LTO)
  * Move to gpg-agent, from gnupg-agent (Closes: #1064113)
  * Update lintian churn

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Dec 2025 10:29:13 +0100
