=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: kde
 Priority: optional
 Homepage: http://www.mirbsd.org/kwalletcli.htm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: debhelper-compat (= 13), libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev, pkg-config
-Standards-Version: 4.5.1
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Build-Depends: debhelper-compat (= 13),
+ libkf5coreaddons-dev, libkf5i18n-dev, libkf5wallet-dev,
+ pkgconf | pkg-config
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/kwalletcli.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/kwalletcli.git;a=shortlog;h=refs/heads/master
@@ -15,7 +16,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, mksh
 Provides: ssh-askpass
-Recommends: gnupg-agent, kwalletmanager,
+Recommends: gpg-agent | gnupg-agent, kwalletmanager,
  pinentry-curses | pinentry-fltk | pinentry-gnome3 | pinentry-gtk2 | pinentry-qt | pinentry-tty | pinentry-x2go | pinentry,
  openssh-client
 Enhances: gajim
