=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS:=1
include /usr/share/dpkg/buildtools.mk

# OUR_CFLAGS are also used as CXXFLAGS
OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CFLAGS+=	-Wall -Wextra -Wformat

# recent Qt5 builds require the application to be built as PIC
OUR_CPPFLAGS+=	-DPIC
OUR_CFLAGS+=	-fPIC
OUR_LDFLAGS+=	-fPIC

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all,-pie optimize=-lto
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/default.mk

%:
	dh $@ -Snone

DOMAKE=	env \
	    $(foreach i,CC CXX CPPFLAGS CFLAGS CXXFLAGS LDFLAGS PKG_CONFIG,$(call shellexport,$i)) \
	    ${MAKE} -f GNUmakefile KDE_VER=5 INSTALL_STRIP=

override_dh_auto_clean:
	dh_testdir
	${DOMAKE} clean
	cat debian/copyright.hdr LICENCE >debian/copyright

override_dh_auto_build:
	dh_testdir
	@rm -f kwalletcli
	${DOMAKE}
	test -x kwalletcli

override_dh_auto_install:
	dh_testdir
	${DOMAKE} install DESTDIR="$$(pwd)/debian/kwalletcli"
	install -D -m 644 kwalletcli32.png \
	    debian/kwalletcli/usr/share/icons/hicolor/32x32/apps/kwalletcli.png
	install -D -m 644 kwalletcli64.png \
	    debian/kwalletcli/usr/share/icons/hicolor/64x64/apps/kwalletcli.png
	install -D -m 644 kwalletcli128.png \
	    debian/kwalletcli/usr/share/icons/hicolor/128x128/apps/kwalletcli.png
	install -D -m 644 kwalletcli.svg \
	    debian/kwalletcli/usr/share/icons/hicolor/scalable/apps/kwalletcli.svg
